/***********************************************
** mem_manage.cpp     horseshoeFTPd          **
** Nick Byra                                  **
** 21/03/06                                   **
**                                            **
***********************************************/

#include "mem_manage.h"
#include <iostream>


//this is a wrapper for the malloc function
//what it does is that it checkes to see if the memory alloced is null
//if it is null this is the sign that an error has occured
//probobly out of memory, this makes the program unstable so we bail
void* mymalloc(size_t size)
{

	void *p = NULL;

	p = malloc(size);

	if(p == NULL)
	{
		int b =0;
		int a = 1/b;
		exit(0);
	}

	return p;


}


//this is a wrapper for the realloc function
//what it does is that it checkes to see if the memory alloced is null
//if it is null this is the sign that an error has occured
//probobly out of memory, this makes the program unstable so we bail
void* myrealloc(void* mem,size_t size)
{
	void *p = NULL;
	p = realloc(mem,size);

	if(p == NULL)
	{
		int b = 0;
		int a = 1/b;
		exit(0);
	}

	return p;

}