/***********************************************
** auth.h              horseshoeFTPd          **
** Nick Byra                                  **
** 21/03/06                                   **
**                                            **
***********************************************/

#ifndef _AUTH
#define _AUTH

#include "stdafx.h"
#include "ftp_options.h"
#include "user.h"


bool checkIP(char *IP, char *IPmask);
bool authAccountActive(user *sUser);
int authServerFull(ftp_options *serverOptions);
bool authUserIP(u_long IPul, user *sUser);
int authUserSessions(ftp_options *serverOptions, user *sUser);
bool authCredits(user *sUser, int fsize);
bool authCreditsOn(user *sUser);
bool authGroupList(folder *fldr, int grp);
bool authGroupListAtLevel(folder *fldr, int grp);
bool authWriteAccess(folder *fldr, int grp);
bool authDeleteAccess(folder *fldr, int grp, char *path, char *name, char *owner);
file* authUploadedFile(folder *fldr, char *path, char *name);
file* authMadeDir(folder *fldr, char *path, char *name);
bool authIsGroup(char *name);
bool authGroupUsed(char *groupname);
/*
class auth
{
public:
auth();
~auth();

int authConnection();
int authLogin();
int authFileAccess();
int authFxp();
int authEditUser();
int authEditGroup();
int authKick();
int authCreateUser();
int authCreateGroup();


private:


};*/

#endif