/***********************************************
** consts .h           horseshoeFTPd          **
** Nick Byra                                  **
** 21/03/06                                   **
**                                            **
***********************************************/

#ifndef _CONSTS
#define _CONSTS


#define TIMEOUT -2
#define ACCEPT 1
#define CONNECT 2
#define ALLPORTSBUSY -425;
#define FXPNOTALLOWED -7
#define OVERBANDWIDTHQUOTA -10
#define NOSID -1
#define OVERMAXUSERS -1
#define SUCCESSFUL 1
#define USERNOTFOUND -2
#define UNKNOWNERROR -3
#define FILENOTFOUND -4
#define ABORTSENT -5
#define NOTENOUGHCREDITS -6
#define FORCINGDISCONNECT -666
#define TYPE_A 1
#define TYPE_E 2
#define TYPE_I 3
#define TYPE_L 4
#define kBufferSize 1024;

#define ERR_SERVERFULL -8
#define ERR_MAXUSERSESSIONS -9
#define AUTHORIZED 1

#define ROOTGROUP 1000
#define READACCESS 1
#define WRITEACCESS 2
#define DELETEACCESS 3
#define OUTOFDISKSPACE -11
#define DIRECTORYNOTFOUND -12
#define ACCESSDENIED -13
#define SYNTAXINVALID -14
#define ITOABUFF 40
#define INVALIDGROUP 7
#define GROUPINUSE 2
#define ADDIPFAILED 3
#define DELIPFAILED 4
#define DIRNOTFOUND 5
#define ALREADYEXISTS 6
#define USERONLINE 8

#define authAppendAccess authDeleteAccess


#define ADDUSER 100
#define ADDGROUP 200
#define DELUSER 300
#define DELGROUP 400
#define EDITGROUP 500
#define EDITUSER 600
#define KILLUSER 700
#define SERVERSHUTDOWN 800
#define ADDDIR 900
#define ADDDIRGROUP 1000
#define DELDIR 1100
#define EDITDIR 1200
#define SETBWLIMITTYPE 1300
#define SETNAME 1400
#define SSLON 1500
#define SSLOFF 1600
#define SETDATAPORTH 1700
#define SETDATAPORTL 1800
#define SETFREEFILESIZE 1900
#define SETTIMEOUT 2000
#define SETCONNECTIONSPERIP 2100
#define SETMAXUSERS 2200
#define SETPACKETSIZE 2300
#define SETPORT 2400
#define SETBWLIMIT 2500



#define TRANSFER 1
#define SETTINGCHANGE 2
#define CONNECTION 3
#define LOGIN 4
#define LOGOFF 5



#define DOWNLOAD 1
#define UPLOAD 2
#define USER 3
#define USERGROUP 4
#define RENAME 5




#define STARTED 1
#define OUTOFCREDITS 2
#define OVERUSERQUOTA 3
#define OVERGLOBALQUOTA 4
#define ERRORREADINGFILE 5
#define COMPLETE 6
#define RESUMING 7
#define WRITEERROR 8
#define DATATIMEOUT 9
#define ACCOUNTDISABLED 11
#define INVALIDIP 12
#define OVERMAXLOGINS 13
#define LOGGEDIN 14
#define INVALIDPASSWORD 15
#define SERVERFULL 16
#define NOTFOUND 17




#define CHANGEALLOWFXP 1
#define CHANGEBWLIMIT 2
#define CHANGEBWLIMITTYPE 3
#define CHANGEIPONFXP 4
#define CHANGEFREEFILESIZE 5
#define CHANGEPREMISSIONS 6
#define CHANGEMAXDOWNLOADSPEED 7
#define CHANGEMAXLOGINS 8
#define CHANGEMAXUPLOADSPEED 9
#define CHANGERATIOD 10
#define CHANGERATION 11


#endif