/***********************************************
** crypt.h             horseshoeFTPd          **
** Nick Byra                                  **
** 21/03/06                                   **
**                                            **
***********************************************/


#ifndef _CRYPT
#define _CRYPT





//#include "stdafx.h"
#include <openssl/ssl.h>
#include <openssl/err.h>
#include <openssl/rand.h>
#include <openssl/bio.h>
#include <openssl/evp.h>
#include <iostream>

void tls_error();
int tls_init_library();
 SSL_CTX* setup_server_ctx(void);
 BIO* setupbio(SOCKET sd);
 SSL* setupcnx(BIO *a, SSL_CTX *b,int c);

char* getsha1hash(char *ptext, char *buf, int len);

/* If we really have to, use an insecure but exportable 512-bits key */
# define RSA_EPHEMERAL_KEY_LEN 512

/* The minimal number of bits we accept for a cipher */
# define MINIMAL_CIPHER_KEY_LEN 40

#endif

