/***********************************************
** helpfunctions.h     horseshoeFTPd          **
** Nick Byra                                  **
** 21/03/06                                   **
**                                            **
***********************************************/


#ifndef _HELPFUNCTIONS
#define _HELPFUNCTIONS

#include <string>
#include <winsock2.h>
#include <openssl/ssl.h>
#include "ftp_options.h"

int getIntValue(char c);
char* fixCR(char *token);
int tls_send(bool useTLS, SOCKET sd,char *buf, int len, int flags,SSL *tls_cnx);
int tls_recv(bool useTLS, SOCKET sd,char *buf, int len, int flags,SSL *tls_cnx);
int strslash(int bsize,char *str);
char* switchbsfs(int bsize,char *str);
void clearbuff(char *buff, int size);
void forceDirSave(ftp_options *serverOptions);
int countslash(int bsize,char *str);
char* getTF(bool a);
bool checkAlphaNumeric(char *line,int max);
bool checkNumeric(char *line);
bool checkIPsyntax(char *ip);
void getIPstring(unsigned long IP, char *buff);
void addDir(folder *cfldr, folder *nfldr);
bool addGroupToDir(folder *fldr, group *grp);
bool delDir(folder *fldr, char *name);



#endif